Bug 57867 - 0.9.6-0 and 0.9.7-0 fails to compile from source
0.9.6-0 and 0.9.7-0 fails to compile from source
Status: CLOSED WORKSFORME
Product: Red Hat Raw Hide
Classification: Retired
Component: mozilla (Show other bugs)
1.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Blizzard
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-12-29 00:58 EST by Need Real Name
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-12-30 17:41:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-12-29 00:58:57 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.5) Gecko/20011113

Description of problem:
regxpcom not found where expected and
numerous broken links to .so libraries in /var are created, eg
/var/tmp/mozilla-root/usr/lib/mozilla/libcaps.so ->
../../../caps/src/libcaps.so


Version-Release number of selected component (if applicable):
mozilla-0.9.6-0.src.rpm, mozilla-0.9.7-0.src.rpm

How reproducible:
Always

Steps to Reproduce:
1. Compile from source
2.
3.
	

Actual Results:  see above

Expected Results:  successful compile

Additional info:

1. Latest successful compile 0.9.5-2
2. Same problems with both gcc-2.96.101.9 and gcc-3.1-0.10
3. regexpcom is found at  /usr/src/redhat/BUILD/mozilla/dist/bin/regxpcom,
not installed to /var:
LD_LIBRARY_PATH=/var/tmp/mozilla-root/usr/lib/mozilla:/var/tmp/mozilla-root/usr/lib/mozilla/..
++ pwd
+MOZILLA_FIVE_HOME=/var/tmp/mozilla-root/usr/lib/mozilla
+ ./regxpcom
/var/tmp/rpm-tmp.65642: ./regxpcom: No such file or directory
error: Bad exit status from /var/tmp/rpm-tmp.65642 (%install)
4. Libraries are not found in /var:
/var/tmp/mozilla-root/usr/lib/mozilla/libpcaps.so is a broken link to
../../../src/libpcaps.so The files are built but not installed from the
BUILD directory.
Comment 1 Need Real Name 2001-12-30 17:41:05 EST
Tracked this down further, the script mozilla-copy-package-files.sh use an
option _not_ to follow symbolic links. This option is not reversed by using -L
to cp, at least for the cp version in fileutils-4.1.3-1.
COPY expands to 'cp -L' (or maybe 'cp', nevertheless removing -P works)
-    $COPY -vrP ${i} ${TARGET_DIR}
+    $COPY -vr ${i} ${TARGET_DIR}
with this change files are installed, not the links themselves.

Of course new problems show up: now
/var/tmp/mozilla-root/usr/lib/mozilla/regxpcom is reporting an unresolved
external(bothe gcc-3.1 and gcc-2.96):
./regxpcom: relocation error: ./regxpcom: undefined symbol: NS_InitXPCOM2

If you do an ldd on regexpcom it is linked to the _previously_ installed version
of mozilla!!
ldd ./regxpcom
        libxpcom.so => /usr/lib/libxpcom.so (0x4002d000)
        libplds4.so => /usr/lib/libplds4.so (0x40115000)
        libplc4.so => /usr/lib/libplc4.so (0x40119000)
        libnspr4.so => /usr/lib/libnspr4.so (0x4011e000)
rpm -qf /usr/lib/libxpcom.so
mozilla-0.9.5-2
I thought the libraries should be natively linked. What would happen if
mozilla-0.9.5-2 was not installed? Everything OK then??
Comment 2 Christopher Blizzard 2002-08-29 17:24:55 EDT
Ancient bug report.  Works here.

Note You need to log in before you can comment on or make changes to this bug.